BN_GET0_NIST_PRIME_521(3)

NAME
BN_get0_nist_prime_192, BN_get0_nist_prime_224, BN_get0_nist_prime_256, BN_get0_nist_prime_384, BN_get0_nist_prime_521 - create standardized public primes or DH pairs

SYNOPSIS
#include <openssl/bn.h>
const BIGNUM *
BN_get0_nist_prime_192(void);
const BIGNUM *
BN_get0_nist_prime_224(void);
const BIGNUM *
BN_get0_nist_prime_256(void);
const BIGNUM *
BN_get0_nist_prime_384(void);
const BIGNUM *
BN_get0_nist_prime_521(void);

DESCRIPTION
The BN_get0_nist_prime_192(), BN_get0_nist_prime_224(), BN_get0_nist_prime_256(), BN_get0_nist_prime_384(), and BN_get0_nist_prime_521() functions return a BIGNUM for the specific NIST prime curve (e.g. P-256).

SEE ALSO
BN_new(3)